"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parallelForEach = exports.range = exports.sleep = exports.uuid = exports.debug = void 0;
const mongodb_1 = require("mongodb");
const debug_1 = __importDefault(require("debug"));
exports.debug = (0, debug_1.default)('mongodb-runner');
const uuid = () => new mongodb_1.BSON.UUID().toHexString(true);
exports.uuid = uuid;
const sleep = (ms) => new Promise((r) => setTimeout(r, ms));
exports.sleep = sleep;
const range = (n) => [...Array(n).keys()];
exports.range = range;
async function parallelForEach(iterable, fn) {
    const result = [];
    for await (const item of iterable) {
        result.push(fn(item));
    }
    return await Promise.allSettled(result);
}
exports.parallelForEach = parallelForEach;
//# sourceMappingURL=util.js.map